# eric4.Plugins.PluginWizardQMessageBox

Module implementing the QMessageBox wizard plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
shortDescription
version

### Classes

MessageBoxWizard | Class implementing the QMessageBox wizard plugin.

### Functions

None

## MessageBoxWizard

Class implementing the QMessageBox wizard plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

MessageBoxWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### MessageBoxWizard (Constructor)

MessageBoxWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### MessageBoxWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### MessageBoxWizard.__handle

__handle()

Private method to handle the wizards action

#### MessageBoxWizard.__initAction

__initAction()

Private method to initialize the action.

#### MessageBoxWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### MessageBoxWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### MessageBoxWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up